summaryrefslogtreecommitdiffstats
path: root/release/amd64
diff options
context:
space:
mode:
authorobrien <obrien@FreeBSD.org>2001-09-03 20:29:21 +0000
committerobrien <obrien@FreeBSD.org>2001-09-03 20:29:21 +0000
commitb4610a422a9c5d6e3b727d84d6685678124ba2c4 (patch)
tree08d7de3b848bdf39cc138f1c9a818e008f8da7c4 /release/amd64
parent13be009ee5e1da38c0ccf944ac011cd762cceb6d (diff)
downloadFreeBSD-src-b4610a422a9c5d6e3b727d84d6685678124ba2c4.zip
FreeBSD-src-b4610a422a9c5d6e3b727d84d6685678124ba2c4.tar.gz
Try to build `mkisofs' first, and only `pkg_add -r' if you cannot.
Diffstat (limited to 'release/amd64')
-rw-r--r--release/amd64/mkisoimages.sh12
1 files changed, 8 insertions, 4 deletions
diff --git a/release/amd64/mkisoimages.sh b/release/amd64/mkisoimages.sh
index 1360d1c..de811ab 100644
--- a/release/amd64/mkisoimages.sh
+++ b/release/amd64/mkisoimages.sh
@@ -39,10 +39,14 @@ fi
type mkisofs 2>&1 | grep " is " >/dev/null
if [ $? -ne 0 ]; then
echo The mkisofs port is not installed. Trying to get it now.
- if ! pkg_add -r mkisofs; then
- echo "Could not get it via pkg_add - please go install this"
- echo "from the ports collection and run this script again."
- exit 2
+ if [ -f /usr/ports/sysutils/mkisofs/Makefile ]; then
+ cd /usr/ports/sysutils/mkisofs && make install && make clean
+ else
+ if ! pkg_add -r mkisofs; then
+ echo "Could not get it via pkg_add - please go install this"
+ echo "from the ports collection and run this script again."
+ exit 2
+ fi
fi
fi
OpenPOWER on IntegriCloud